Subject: Re: [PATCH v9 bpf-next 00/14] mvneta: introduce XDP multi-buffer support

From: David Ahern <[email-masked]>
Date: Tue, 22 Jun 2021 21:41:41 -0600

On 6/22/21 5:18 PM, John Fastabend wrote:
> At this point I don't think we can have a partial implementation. At
> the moment we have packet capture applications and protocol parsers
> running in production. If we allow this to go in staged we are going
> to break those applications that make the fundamental assumption they
> have access to all the data in the packet.

What about cases like netgpu where headers are accessible but data is
not (e.g., gpu memory)? If the API indicates limited buffer access, is
that sufficient?